// Genesis
// by Mc  
// Based on RuleMaker.h
// 
//  GM 0.21 - by Gianluigi Ferraris last update on 6.11.1999
//  
//--------------------------------------------------------------------

#import <objectbase/SwarmObject.h>
#import <collections.h>   //needed to  handle lists
#import <random.h>        //to perform random values generation
#include "Person.h"
@interface Genesis: SwarmObject

id populationList;
int evolutionFrequency;
float mutationProb;
int numberOfIndividuals;
int numberOfFits;
float selectionPressure;
float maxFitness;
float minFitness;


Person *interface;
//--------------------------------------------------------------------

//service methods


- setEvolutionFrequency: (int)o;

- setMutationProbability: (float)o;

- setPopulationList: pL;

- setSelectionPressure: (float)o;

- createEnd;

- step;

//--------------------------------------------------------------------




- keepData;

- selectSome;

- selectProportional;


-reproduce;



- mutate;



- shuffle: (id) list;

//--------------------------------------------------------------------
@end
