// chunk of PplModelSwarm
// define model-specific parameters and their probes
// This is included in ModelSwarm.m

  obj->increment = 1;
  obj->numPpl = 100;
  obj->round = 20;
  obj->generations=100;
  obj->mutation=0.01;



  // MODIFY: add in defaults for your simulation parameters.
   probeMap = [EmptyProbeMap createBegin: aZone];
  [probeMap setProbedClass: [self class]];
   probeMap = [probeMap createEnd];

  // Add probe to tell how often to increment the counter
  [probeMap addProbe: [probeLibrary getProbeForVariable: "increment"
				    inClass: [self class]]];
  // add probe to set number of people
  [probeMap addProbe: [probeLibrary getProbeForVariable: "numPpl"
                                    inClass: [self class]]];


  [probeMap addProbe: [probeLibrary getProbeForVariable: "round"
                                    inClass: [self class]]];
  [probeMap addProbe: [probeLibrary getProbeForVariable: "generations"
                                    inClass: [self class]]];

  [probeMap addProbe: [probeLibrary getProbeForVariable: "selectPressure"
                                    inClass: [self class]]];
  [probeMap addProbe: [probeLibrary getProbeForVariable: "mutation"
                                    inClass: [self class]]];



  // install probemap into the library
  [probeLibrary setProbeMap: probeMap For: [self class]];
