// Hello, World! application. Copyright  1996-2000 Swarm Development Group.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

#import <objectbase/Swarm.h>
#import "Counter.h"
#import "Person.h"
#import "Genesis.h"
#import "Game.h"
#import "Groups.h"
#import <analysis.h>


@interface ModelSwarm: Swarm
{
  // MODIFY: add your own simulation parameters
  int increment;

  // these are variables specific to the modelswarm that
  //  carry info about the overall model
  int numPpl;
  int round;
  float mutation;
  float selectPressure;

   
  // declare a list in which party-goers will reside
  id pplList;
  id modelActions;
  id modelSchedule;
  id evolutionActions;
  id evolutionSchedule;

  // MODIFY: add your own model objects.  
  Counter *counter;
  Genesis *genesis;
  Game *game;
  Groups *groups;

  Groups *groups2;

  id calc;
  
  float assortment; 


}

// MODIFY: add access methods for what agents are visible.
-(Counter *)getCounter;



+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-buildActions;
-activateIn: (id) swarmContext;
-setGame: g;
-getGame;
-getGroups;
-getGroups2;
-getPopulation;
-(float) getParam1;
-(float) getParam2;
-getCounter;
-getCalc;

@end
