// Hello, World! application. Copyright  1996-2000 Swarm Development Group.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

#import <simtoolsgui/GUISwarm.h>
#import <simtoolsgui.h>
#import <gui.h>
#import <analysis.h> // ActiveGraph
#import "ModelSwarm.h"

// Sample graphical interface swarm for models.
@interface ObserverSwarm: GUISwarm
{
  int displayFrequency;
  int logIn;
  id displayActions;
  id displaySchedule;

  // add the modelswarm to the observer swarm
  ModelSwarm *modelSwarm;
  // add the counter to the observer swarm
  Counter *observedCounter;
  // add the numberPplStillTalking graph to obs swarm
  id <EZGraph> popGraph;
  id <EZGraph> aGraph;
  id <EZGraph> bGraph;

}

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;

// checks to see if everybody's done talking

@end
